Summary:	Free Thai TrueType fonts
Name:		fonts-ttf-thai
Version:	0.1
Release:	7mdk
License:	Distributable
Group:		System/Fonts/True type

Source0:	fonts-ttf-thai-norasi.tar.bz2

BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
# Who? - When? - To be sure we have a font server
Requires:	/etc/X11/fs/config
# Who? - When? - And be sure there is TTF support
Requires:	freetype

Obsoletes:	thai-ttf
Provides:	thai-ttf

%description
This Package provides Free Thai TrueType fonts.

%prep

%setup -q -c

%build

%install
rm -fr %buildroot

mkdir -p %buildroot/%_datadir/fonts/ttf/thai/
cp *.ttf %buildroot/%_datadir/fonts/ttf/thai/

(
cd %buildroot/%_datadir/fonts/ttf/thai/
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_prefix/X11R6/bin/xftcache . || touch XftCache
)

ln -s %_sysconfdir/X11/encodings.dir %buildroot/%_datadir/fonts/ttf/thai/encodings.dir

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/thai
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/thai
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc README
#
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/thai/
%_datadir/fonts/ttf/thai/*

%changelog
* Thu Feb 14 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-7mdk
- add *-iso10646-1 lines

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1-6mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Sun Sep 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-5mdk
- rebuild with tis-620 names

* Thu Jun 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-4mdk
- added name aliases

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-3mdk
- added XftCache support

* Sat Jun  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.1-2mdk
- BuildRequires: freetype-tools

* Wed Mar 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-1mdk
- Mandrake release
